Post by OSWorX » Mon Apr 14, 2014 11:37 pm

Before too many duplicate questions are posted regarding the current 2.0 project state, read the following first

1. No, there is yet no set release date yet
2. Yes, development is in progress
3. Yes, we encourage everyone to test. Get your copy directly from GitHub
4. Because it is still in development, if you encounter a bug, please use the issue tracker at GitHub
5. Yes, there will be a new template that is fully responsive. More information about it here
6. Have an idea or want to submit a fix - use the Pull Request here

Full Stack Web Developer :: Dedicated OpenCart Development & Support DACH Region
Contact for Custom Work / Fast Support.


User avatar
Guru Member

Posts

Joined
Mon Jan 11, 2010 10:52 pm
Location - Austria

Post by OC2PS » Tue May 13, 2014 11:27 pm

Are we ensuring there are no regressions? i.e bugs fixed in 1.5.x branch will stay fixed in 2.x?

OC2PS
OC 2.3.0.2, vQmod 2.6.2, Journal2 theme
Arcfesték, Csillámtetoválás, Henna
Image
Check out: All my extensions | My FREE extensions


User avatar
Active Member

Posts

Joined
Wed Jul 22, 2009 4:15 am
Location - Hungary

Post by James » Thu Jul 31, 2014 3:06 am

OC2PS wrote:Are we ensuring there are no regressions? i.e bugs fixed in 1.5.x branch will stay fixed in 2.x?
As much as possible - commit logs are being trawled through to try and ensure that any bugs are ported from the point of forking.

2.0 is going to go through an extended release cycle initially, external QA testing is being done and we now have the unit tests to aid with bug finding.

But please, if you see or find any please create a GitHub issue (for now until the 2.0 Atlassian bug tracker is live properly) and @jamesallsup - I will port it.

J

User avatar
Active Member

Posts

Joined
Wed May 27, 2009 6:07 am
Location - Leeds, UK

Post by paulodamasio » Tue Sep 22, 2015 11:02 pm

Warning: array_key_exists() [function.array-key-exists]: The first argument should be either a string or an integer in /home/storage/f/6b/1b/store15/public_html/index.php on line 138

how to solve this error??

Newbie

Posts

Joined
Tue Sep 22, 2015 10:59 pm

Post by soundzgood-nz » Wed Dec 23, 2015 4:29 am

This is a please read first post but is way out of date.

Can a moderator update this thread / remove all the 'don't upgrade' posts so it reflects that state of oc2 please?
For someone looking to upgrade from oc1.5.6.x cart to oc2.1.x it's a pretty confusing read ...

These instructions mention 'upgrade' but really only cover overwriting files, nothing mentioning dbase migration:
http://docs.opencart.com/upgrading/

I understand extension compatibility is an issue. I'm asking about dbase conversion.

The upgrade.txt in the oc2.x download files only refers to 1.5.x to 1.5.x upgrades (yet get referred to from the install.txt file)

It's now December 2015 ... where is oc2 at re upgrading the dbase from 1.5.6.x carts?

Simon

User avatar
Active Member

Posts

Joined
Sat Oct 25, 2014 5:15 pm
Location - New Zealand

Post by Randem » Wed Dec 23, 2015 5:41 pm

Database conversion is mostly handled here - http://forum.opencart.com/viewtopic.php?f=181&t=156002

NEVER take serious; anyone who gives negative impact statements with no ABSOLUTE proof!
OpenCart Helpful Information * Upgrade 1.5 to 2.1 * Upgrade 2.1 to 2.2
"Why do people NEVER have enough time to do it right but ALWAYS enough time to do it over?"
DO NOT EVER GIVE SOMEONE YOU DON"T KNOW ADMIN ACCESS TO ANYTHING!
I am NOT affiliated with OpenCart


User avatar
Active Member

Posts

Joined
Sat Sep 27, 2014 9:17 am
Who is online

Users browsing this forum: No registered users and 10 guests